=head1 NAME

Gtk2::Gdk::PixbufLoader

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Gdk::PixbufLoader



=cut


=head1 METHODS

=head2 pixbufloader = Gtk2::Gdk::PixbufLoader-E<gt>B<new> 

=head2 pixbufloader = Gtk2::Gdk::PixbufLoader->B<new_with_mime_type> ($mime_type)



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.4

=head2 pixbufloader = Gtk2::Gdk::PixbufLoader->B<new_with_type> ($image_type)



May croak with a L<Glib::Error> in $@ on failure.

=head2 pixbufanimation or undef = $loader-E<gt>B<get_animation> 

=head2 $loader-E<gt>B<close> 



May croak with a L<Glib::Error> in $@ on failure.

=head2 hash reference = $loader-E<gt>B<get_format> 

Since: gtk+ 2.2

=head2 pixbuf = $loader-E<gt>B<get_pixbuf> 

=head2 $loader-E<gt>B<set_size> ($width, $height)

=over

=item * $width (integer) 

=item * $height (integer) 

=back

Since: gtk+ 2.2

=head2 boolean = $loader-E<gt>B<write> ($buf)

=over

=item * $buf (scalar) 

=back



May croak with a L<Glib::Error> in $@ on failure.



=cut


=head1 SIGNALS

=over

=item B<closed> (Gtk2::Gdk::PixbufLoader)

=item B<size-prepared> (Gtk2::Gdk::PixbufLoader, integer, integer)

=item B<area-prepared> (Gtk2::Gdk::PixbufLoader)

=item B<area-updated> (Gtk2::Gdk::PixbufLoader, integer, integer, integer, integer)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

